> For the complete documentation index, see [llms.txt](https://docs.talsec.app/freerasp/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.talsec.app/freerasp/freerasp/wiki/threat-detection/multi-instance-detection-android-devices-only.md).

# Multi-Instance detection \[Android devices only]

Multi-instance refers to the ability to launch multiple instances of the same application—either intentionally (such as through app cloning or multi-user modes) or unintentionally (due to a malicious attack or system bug). Each instance may run in a separate process, which can lead to security, privacy, or data consistency issues—especially in sensitive applications like finance, messaging, or enterprise tools.

Currently, detection of multi-instance using [Parallel Space](https://play.google.com/store/apps/details?id=com.lbe.parallel.intl\&hl=en) is supported.

Below are code snippets demonstrating passcode detection across various platforms:

```dart
// Android multi instance check
override fun onMultiInstanceDetected() {
    TODO("Not yet implemented")
}

// Flutter multi instance detection
onMultiInstance: () => print("Multi instance detected")

// Cordova multi instance detection
multiInstance: () => {
    // Place your reaction here
}

// React Native multi instance detection
multiInstance: () => {
    // Place your reaction here
}

// Capacitor multi instance detection
multiInstance: () => {
    // Place your reaction here
}
```

{% hint style="info" %}
**Recommended action:** Log the event on your BE and optionally react to it.
{% endhint %}

### Read More <a href="#read-more" id="read-more"></a>

What is multi-instacing, why is it an issue and how to detect it?

<table data-card-size="large" data-view="cards"><thead><tr><th></th><th data-hidden data-card-cover data-type="files"></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>Introducing Multi-Instancing Detection for freeRASP</td><td><a href="/files/EI09pe70ugYdFbsS40ng">/files/EI09pe70ugYdFbsS40ng</a></td><td><a href="/spaces/NjTFXsqCLQ3RU2oA2uHC/pages/7WLpOeny9JeBPLGr1AlG">/spaces/NjTFXsqCLQ3RU2oA2uHC/pages/7WLpOeny9JeBPLGr1AlG</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.talsec.app/freerasp/freerasp/wiki/threat-detection/multi-instance-detection-android-devices-only.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
